/* filename:    thtab1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

/******************************************************************
**         Load Parameter Draws from MH Output
*/
#include c:\projects\active\mispol\gauss-ds\pathspec.g;
#include c:\projects\active\mispol\gauss-ds\bivspec.g;

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + lamstr $+ nlagstr 
*/
inputfile_str = "\\mhrun0\\111 52ts"
             $| "\\mhrun1\\111na2ts"
             $| "\\mhrun1\\111 52ts";

/* Specify row names for table
*/
row_name =  "$\\psi_1$"
         $| "$\\psi_2$"
         $| "$\\rho_R$"
         $| "$\\ln \\gamma_a$"
         $| "$\\ln \\pi^*_a$"
         $| "$\\ln r^*_a$"
         $| "$\\kappa$"
         $| "$\\tau$"
         $| "$\\rho_g$"
         $| "$\\rho_z$"
         $| "$\\sigma_R$"
         $| "$\\sigma_g$"
         $| "$\\sigma_z$";
            
inputfile_n = rows(inputfile_str);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);


/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = parapath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   post_mean[.,inputfile_ind] = readr(fhparas,1)';
   drawrow = seekr(fhparas,npara+3);
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = readr(fhparas,2)';

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;

/* Create table
*/
para_ind = 1;
do until para_ind > npara;

   tablerow = row_name[para_ind];

   inputfile_ind = 1;
   do until inputfile_ind > inputfile_n;
      
      tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,2) $+ "]";
      inputfile_ind = inputfile_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
